
using BPA.SAAS.Manage.Core.Org;
using Microsoft.AspNetCore.Authorization;

namespace BPA.SAAS.Manage.Application.AExternalPlatform.Service.Authorization
{


    [ApiDescriptionSettings("开放平台", Tag = "授权管理"), AllowAnonymous, NonUnify]
    public class AuthServices : IDynamicApiController
    {
        private readonly ISqlSugarClient _db;
        public AuthServices(ISqlSugarClient db)
        {
            _db = db;
        }
       
        /// <summary>
        /// 获取加盟商信息
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        [HttpGet("/api/authorization/GetCompanyById")]
        [AllowAnonymous]
        public async Task<BPA_Company> GetCompanyById(string id)
        {
            var data = await _db.Queryable<BPA_Company>().FirstAsync(x => x.Id == id);

            return data;
        }
    }
}
